/* SPDX-License-Identifier: GPL-2.0-or-later */
/*
 * Copyright (C) Telechips Inc.
 */

#ifndef MAX96851_H
#define MAX96851_H

#include <linux/input/tcc_tsc_serdes.h>

static struct i2c_data dp_max96851_ser_regs[] = {
	/* Touch GPIO------------------------------- */
	/* Touch IRQ 1 : Ser  GPIO #2  RX/TX RX ID 2 */
	{DP_SER_ADDR, 0x0210, 0x40, TCC805X_EVB, 1, REV_ALL},
	{DP_SER_ADDR, 0x0211, 0x40, TCC805X_EVB, 1, REV_ALL},
	{DP_SER_ADDR, 0x0212, 0x42, TCC805X_EVB, 1, REV_ALL},
	{DP_SER_ADDR, 0x0213, 0x22, TCC805X_EVB, 1, REV_ALL},
	{DP_SER_ADDR, 0x0211, 0x60, TCC805X_EVB, 1, REV_ES4},
	/* Touch IRQ 2 (TCC8059) : Ser GPIO #9 RX/TX RX ID 9 */
	{DP_SER_ADDR, 0x0248, 0x40, TCC8059_EVB, 2, REV_ALL},
	{DP_SER_ADDR, 0x0249, 0x40, TCC8059_EVB, 2, REV_ALL},
	{DP_SER_ADDR, 0x024A, 0x49, TCC8059_EVB, 2, REV_ALL},
	{DP_SER_ADDR, 0x024B, 0x22, TCC8059_EVB, 2, REV_ALL},
	{DP_SER_ADDR, 0x0005, 0x80, TCC8059_EVB, 2, REV_ALL},
	{DP_SER_ADDR, 0x0249, 0x60, TCC8059_EVB, 2, REV_ES4},
	/* Touch IRQ 2 (TCC8050) : Ser GPIO #13 RX/TX RX ID 13 */
	{DP_SER_ADDR, 0x0268, 0x40, TCC8050_EVB, 2, REV_ALL},
	{DP_SER_ADDR, 0x0269, 0x40, TCC8050_EVB, 2, REV_ALL},
	{DP_SER_ADDR, 0x026A, 0x4D, TCC8050_EVB, 2, REV_ALL},
	{DP_SER_ADDR, 0x026B, 0x22, TCC8050_EVB, 2, REV_ALL},
	{DP_SER_ADDR, 0x0269, 0x60, TCC8050_EVB, 2, REV_ES4},
	/* Touch IRQ 3 : Ser GPIO #20 RX/TX RX ID 20 */
	{DP_SER_ADDR, 0x02A0, 0x40, TCC8050_EVB, 3, REV_ALL},
	{DP_SER_ADDR, 0x02A1, 0x54, TCC8050_EVB, 3, REV_ALL},
	{DP_SER_ADDR, 0x02A2, 0x54, TCC8050_EVB, 3, REV_ALL},
	{DP_SER_ADDR, 0x02A3, 0x22, TCC8050_EVB, 3, REV_ALL},
	{DP_SER_ADDR, 0x02A1, 0x74, TCC8050_EVB, 3, REV_ES4},
	/* Touch RST 1 : Ser GPIO #4 RX/TX RX ID 4 */
	{DP_SER_ADDR, 0x0220, 0x01, TCC805X_EVB, 1, REV_ALL},
	{DP_SER_ADDR, 0x0221, 0x04, TCC805X_EVB, 1, REV_ALL},
	{DP_SER_ADDR, 0x0223, 0x20, TCC805X_EVB, 1, REV_ALL},
	{DP_SER_ADDR, 0x0223, 0x21, TCC805X_EVB, 1, REV_ALL},
	/* Touch RST 2 (TCC8059) : Ser GPIO #4 RX/TX RX ID 4 */
	/* Touch RST 2 (TCC8050) : Ser GPIO #12 RX/TX RX ID 12 */
	{DP_SER_ADDR, 0x0260, 0x01, TCC8050_EVB, 2, REV_ALL},
	{DP_SER_ADDR, 0x0261, 0x0C, TCC8050_EVB, 2, REV_ALL},
	{DP_SER_ADDR, 0x0263, 0x20, TCC8050_EVB, 2, REV_ALL},
	{DP_SER_ADDR, 0x0263, 0x21, TCC8050_EVB, 2, REV_ALL},
	/* Touch RST 3 : Ser GPIO #12 RX/TX RX ID 19 */
	{DP_SER_ADDR, 0x0298, 0x01, TCC8050_EVB, 3, REV_ALL},
	{DP_SER_ADDR, 0x0299, 0x13, TCC8050_EVB, 3, REV_ALL},
	{DP_SER_ADDR, 0x029B, 0x20, TCC8050_EVB, 3, REV_ALL},
	{DP_SER_ADDR, 0x029B, 0x21, TCC8050_EVB, 3, REV_ALL},
	/* Touch GPIO------------------------------- */

	/* Ser ES4 : modify timeout value */
	{DP_SER_ADDR, 0x0096, 0x4B, TCC805X_EVB, 1, REV_ES4},

	{DP_SER_ADDR, 0x009E, 0x00, TCC8050_EVB, 2, REV_ALL},

	/* TCC8059 SST - Enable PT1 */
	{DP_SER_ADDR, 0x0079, 0x01, TCC8059_EVB, 1, REV_ALL},
	/* TCC8059 2MST - Enable PT1 */
	{DP_SER_ADDR, 0x0079, 0x11, TCC8059_EVB, 2, REV_ALL},
	/* TCC8050 SST/2MST -Enable PT1, PT2 */
	{DP_SER_ADDR, 0x0079, 0x03, TCC8050_EVB, 1, REV_ALL},
	/* TCC8050 SST/2MST -Enable PT1, PT2 */
	{DP_SER_ADDR, 0x0079, 0x03, TCC8050_EVB, 2, REV_ALL},
	/* TCC8050 3MST - Enable PT1, PT2 */
	{DP_SER_ADDR, 0x0079, 0x43, TCC8050_EVB, 3, REV_ALL},

	{0, 0, 0, 0, 0, 0},
};

#endif /* MAX96851_H */
